Skip to main content

ListPlatformsV1

A GET request that retrieves a list of your organization's integrated platforms. The endpoint is https://api.aware.work/external/system/platforms/v1.

Access​

To access this operation, your API token must have one of the following permissions:

For more information, see the API token documentation.

Request Format​

Parameters​

The ListPlatformsV1 operation takes no parameters.

Query​

Below is the request in its most basic form. See request samples for more advanced query examples.

curl -X GET --location "https://api.aware.work/external/system/platforms/v1" \
-H "X-Aware-Api-Key: ${API_TOKEN}" \

Response Format​

If the call is successful, the endpoint returns an HTTP 200 status and a response body whose general format looks something like this:

{
"advancementToken": null,
"hasAdvancementToken": false,
"hasResultSetToken": false,
"hasRowKey": false,
"results": [
{
"platformModelId": "5e1177db-39c2-ed17-1195-b2e50c242cd0",
"isEnabled": true,
"name": "My Enabled Platform 1"
},
{
"platformModelId": "17a8e248-ce81-972c-64c8-b0d5211ea9f0",
"isEnabled": true,
"name": "My Enabled Platform 2"
},
{
"platformModelId": "b8479d5f-4fe6-e2ec-3f10-dfc270f88816",
"isEnabled": true,
"name": "My Disabled Platform"
}
],
"totalItems": 3
}

where:

  • platformModelId is the unique ID of the platform.
  • isEnabled indicates whether the platform is currently enabled.
  • name is the name of the platform.
  • totalResults is the total number of platforms.
  • Remaining fields relate to pagination and are not useful for this operation, as all results will always fit on the first page.

Request Samples​

The simplest form of the query is documented above. No other variations of the query exist.